This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 177062 - Unable to move a file to another package
Summary: Unable to move a file to another package
Status: VERIFIED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Unsupported (show other bugs)
Version: 6.x
Hardware: PC Windows XP
: P1 normal (vote)
Assignee: J Bachorik
URL:
Keywords:
Depends on:
Blocks: 175640
  Show dependency tree
 
Reported: 2009-11-18 03:29 UTC by Alexandr Scherbatiy
Modified: 2009-11-26 05:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-11-18 03:29:35 UTC
Product Version         = NetBeans IDE Dev (Build 200911170201) (#3dca89945b8c)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


Steps to reproduce:

- Create a JavaFX Script project with the Main file
- Create 'pack' package
- Right-click the Main file and select Refactor->Move
- For To Package select pack on the Move Class dialog
- Press Refactor

There are error messages on the dialog

  Class "javafxapplication12.Main" within the same package is using feature "width" of class you want to move ("javafx.scene.Scene").
  Class "javafxapplication12.Main" within the same package is using feature "height" of class you want to move ("javafx.scene.Scene").
  Class "javafxapplication12.Main" within the same package is using feature "size" of class you want to move ("javafx.scene.text.Font")


The file is not moved
Comment 1 J Bachorik 2009-11-18 04:20:32 UTC
JavaFX public-init and public-read modifiers do not get translated as Modifier.PUBLIC when querying using the javax.lang.model API. An arbitrary check against JavafxFlags values must be done.

I have the fix ready - if you feel it should be delivered for 6.8 escalate this issue priority to P1
Comment 2 J Bachorik 2009-11-23 06:36:05 UTC
Increasing priority
Comment 3 J Bachorik 2009-11-23 06:36:54 UTC
fix delivered - http://hg.netbeans.org/javafx/rev/06aa4607765d
Comment 4 J Bachorik 2009-11-24 09:12:43 UTC
This one was delivered before branching the repository.
Comment 5 Andrei Chistiakov 2009-11-26 05:59:34 UTC
Verified with  NetBeans IDE 6.8 RC1 (Build 200911252200)